用于 ECP 的代理,用于为工作区创建新部署。转换 ECP 状态(待处理 -> 已排队)。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。
POST /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/workspaces/{workspace_id}/deployments' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"build_id": "string"
}'
请求示例
{
"build_id": "string"
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (202)
{
"deployment_id": "string",
"status": "string"
}
响应示例 (202)
{
"deployment_id": "string",
"status": "string"
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (412)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (412)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (413)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (413)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (429)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (429)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (503)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (503)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}